# Actions

The Commerce add-on contributes the following actions.

## Order Read Actions

| Display Name      | Alias                             |
| ----------------- | --------------------------------- |
| Get Order         | `umbracoCommerce.getOrder`        |
| Search Orders     | `umbracoCommerce.searchOrders`    |
| Search Discounts  | `umbracoCommerce.searchDiscounts` |
| Search Gift Cards | `umbracoCommerce.searchGiftCards` |

## Order Modify Actions

| Display Name             | Alias                                   |
| ------------------------ | --------------------------------------- |
| Add Product to Order     | `umbracoCommerce.addProductToOrder`     |
| Remove Order Line        | `umbracoCommerce.removeOrderLine`       |
| Assign Order to Customer | `umbracoCommerce.assignOrderToCustomer` |
| Change Order Status      | `umbracoCommerce.changeOrderStatus`     |
| Finalize Order           | `umbracoCommerce.finalizeOrder`         |
| Set Order Property       | `umbracoCommerce.setOrderProperty`      |
| Tag Order                | `umbracoCommerce.tagOrder`              |
| Remove Tags from Order   | `umbracoCommerce.removeTagsFromOrder`   |
| Export Order             | `umbracoCommerce.exportOrder`           |
| Send Order Email         | `umbracoCommerce.sendOrderEmail`        |

## Payment Actions

| Display Name    | Alias                            |
| --------------- | -------------------------------- |
| Capture Payment | `umbracoCommerce.capturePayment` |
| Refund Payment  | `umbracoCommerce.refundPayment`  |

## Stock and Gift Card Actions

| Display Name    | Alias                           |
| --------------- | ------------------------------- |
| Update Stock    | `umbracoCommerce.updateStock`   |
| Issue Gift Card | `umbracoCommerce.issueGiftCard` |

{% hint style="info" %}
Open the step in the canvas to see each action's settings and output fields.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-automate/add-ons/commerce/actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
